package com.zj365.health.vm

import androidx.lifecycle.MutableLiveData
import com.alibaba.fastjson.JSONObject
import com.xty.base.vm.BaseVm
import com.xty.network.model.PsychologicalResultBean
import com.xty.network.model.RespBody

class PsychologicalResultVm : BaseVm() {

    val psychologicalResultData by lazy { MutableLiveData<RespBody<PsychologicalResultBean>>() }

    fun getPsychologicalResult(answerId:Long){
        startHttp {
            var request=apiInterface().getPsychologicalResult(answerId.toString())
            request.getCodeStatus(psychologicalResultData,nowData)

        }
    }
}